####################
##Tolerances
tolerance:precursor:3ppm
tolerance:fragment:5ppm
tolerance:peptidemasses:10ppm

####################
## include linear matches
## web interface default:true
EVALUATELINEARS:true

#####################
## how many cpus to use
## values smaller 0 mean that all avaiblable but the mentioned number will be used
## e.g. if the computer has 4 cores and UseCPUs is set to -1 then 3 threads are used for search.
## this is a bit relativated by the buffering, as buffers also use threads to decouple the input and output of the buffer.
## each thread will also have a small buffer between itself and the input and the output queue - but the overal cpu-usage of these should be smallish
# UseCPUs:-1


#################
## Cross Linker + associated modifications
##   Modifications are generated as Variable modifications, with the naming convention:
##   LinkedAminoAcidSymbol followed by name of crosslinker in lower case and name of modification
##==============================
## Symetric
## format :
## crosslinker:SymetricSingleAminoAcidRestrictedCrossLinker:Name:[name];MASS:[cross-linker mass];LINKEDAMINOACIDS:[list of possible cross-link targts];MODIFICATIONS:[list of associated modifications];decoy
## with:
##  Name:             A name of the cross-linker
##  MASS:             The mass of the cross-linker as  the difference between the mass of the two peptides and the mass of the mass of the two peptides when reacted with the cross-linker
##  LINKEDAMINOACIDS: A comma separated list of amino-acids that the cross-linker can react with. Additionaly nterm and cterm are accepted
##                    Also amino-acids can get a ranking by defining a penelty (between 0 and 1) for them.
##                    E.g. K(0),S(0.2),T(0.2),Y(0.2),nterm(0) means that K and the protein n-terminal are more likely to be cross-linked then S, T, or Y
## MODIFICATIONS:     a comma-separeted list defining related modifications 
##                    E.g. NH3,17.026549105,OH2,18.0105647                  
##                    defines two modifications:
##                      NH3: that adds 17.026549105 to the mass of the cross-linker
##                      OH2: that adds 18.0105647 to the mass of the cross-linker
## decoy:             flags every cross-linked match that has this cross-linker as decoy (e.g. for FDR calculation purposes)
##
##
##Several cross-linker can be defined and then are searched together
##

##DSSO
#with mods
#crosslinker:SymetricSingleAminoAcidRestrictedCrossLinker:Name:DSSO;MASS:158.0037648;LINKEDAMINOACIDS:K(0),S(0.2),T(0.2),Y(0.2),nterm(0);MODIFICATIONS:NH2,17.026549105,OH,18.0105647
#without mods
crosslinker:SymetricSingleAminoAcidRestrictedCrossLinker:Name:DSSO;MASS:158.0037648;LINKEDAMINOACIDS:K(0),S(0.2),T(0.2),Y(0.2),nterm(0)
crosslinker:SymetricSingleAminoAcidRestrictedCrossLinker:Name:BS3;MASS:138.06807;LINKEDAMINOACIDS:K(0),S(0.2),T(0.2),Y(0.2),nterm(0)
crosslinker:NonCovalentBound:NAME:noncovalent

###################
##Modifications
## modifications are possible to be defined as three types:
## fixed: every aminoacid is modified
## variable: peptides containing the aminoacids will be searched with and without modification
## known: not automatically searched - but enables to defined modification as part of the FASTA-file as fixed or variable modification (e.g. defined histon modification 
##         only on histones without haveing to search them everywhere).
##
## 
## Format is: 
##        modification:(fixed|variable|known)::SYMBOL:(how is the modification represented);MODIFIED:[aminoaid];MASS:[mass of the modified amino acid]
##  Symbol:      peptides will be reported with the modification as part of the 
##               sequence the symbol to represent the modified amino acid
##               Ccm for Carboxyamidomethylation of Cysteine
##  MODIFIED:    the amni-acid to be modified (e.g. C)
##  MASS:        the total mass of the modified amino acid
##   (This format is also used to define amino-acid substitution)
##
## Alternativly modifications that apply to several aminoacids can also be defined as
##         modification:variable::SYMBOLEXT:[extension];MODIFIED:[amino-acids];DELTAMASS:[mass-difference]
##  SYMBOLEXT:   What will be appended to the amino-acid to denote this modification (E.g. ox for oxidation)
##  MODIFIED:    A list of aminoa cids that can have this modification
##  DELTAMASS:   the mass diference between the modified and teh undmodified version of the amino-acid.
##
##========================
##--Fixed Modifications
modification:fixed::SYMBOL:Ccm;MODIFIED:C;MASS:160.03065

##========================
##--Variable Modifications
##Mox = 131.040485 + 15.99491
modification:variable::SYMBOL:Mox;MODIFIED:M;MASS:147.035395
#modification:variable::SYMBOLEXT:ox;MODIFIED:M,Q,N;DELTAMASS:15.99491463


modification:linear::SYMBOLEXT:dssonh;MODIFIED:K,S,T,Y;DELTAMASS:175.030313905
modification:linear::SYMBOLEXT:dssooh;MODIFIED:K,S,T,Y;DELTAMASS:176.0143295
modification:linear::SYMBOLEXT:dssonh;MODIFIED:X;PROTEINPOSITION:nterm;DELTAMASS:175.030313905
modification:linear::SYMBOLEXT:dssooh;MODIFIED:X;PROTEINPOSITION:nterm;DELTAMASS:176.0143295

modification:linear::SYMBOLEXT:bs3nh;MODIFIED:K,S,T,Y;DELTAMASS:155.094619105
modification:linear::SYMBOLEXT:bs3oh;MODIFIED:K,S,T,Y;DELTAMASS:156.0786347
modification:linear::SYMBOLEXT:bs3nh;MODIFIED:X;PROTEINPOSITION:nterm;DELTAMASS:155.094619105
modification:linear::SYMBOLEXT:bs3oh;MODIFIED:X;PROTEINPOSITION:nterm;DELTAMASS:156.0786347

###################
## Digest
##Tryptic digest
digestion:PostAAConstrainedDigestion:DIGESTED:K,R;ConstrainingAminoAcids:P;NAME=Trypsin
#digestion:PostAAConstrainedDigestion:DIGESTED:K,R;ConstrainingAminoAcids:;NAME=Trypsin\P


#####################################################################################################
##Fragment match settings

####################
## Non-Lossy Fragments to consider
fragment:BIon
fragment:YIon
#fragment:CIon
#fragment:ZIon
#fragment:AIon
#fragment:XIon
## peptide ion should always be enabled, as otherwise no standard cross-linked fragments will be matched - also needed for precoursor-fragment matches
fragment:PeptideIon
## enables double fragmentation with in one fragment but also fragmentation events on both peptides
#fragment:BLikeDoubleFragmentation




###################
##Losses
## Water
loss:AminoAcidRestrictedLoss:NAME:H20;aminoacids:S,T,D,E;MASS:18.01056027;cterm
## Amonia
loss:AminoAcidRestrictedLoss:NAME:NH3;aminoacids:R,K,N,Q;MASS:17.02654493;nterm
## CH3SOH from Mox
loss:AminoAcidRestrictedLoss:NAME:CH3SOH;aminoacids:Mox;MASS:63.99828547
##AIons as loss from BIons
## when defiend as loss the matched fragments will have less impact on the score then matching A-Ions
#loss:AIonLoss
##crosslinker modified fragment (fragmentation of the cross-linker petide bound)
#loss:CrosslinkerModified
##==================
##immonium ions 
## currently not exposed in the web-interface
#loss:AminoAcidRestrictedImmonium:NAME:Ccmi;aminoacids:Ccm;MASS:133.0436
#loss:AminoAcidRestrictedImmonium:NAME:Moxi;aminoacids:Mox;MASS:120.0483
#loss:AminoAcidRestrictedImmonium:NAME:Fi;aminoacids:F;MASS:120.0813
#loss:AminoAcidRestrictedImmonium:NAME:Ri;aminoacids:R;MASS:129.114
#loss:AminoAcidRestrictedImmonium:NAME:Yi;aminoacids:Y;MASS:136.0762
#loss:AminoAcidRestrictedImmonium:NAME:Wi;aminoacids:W;MASS:159.0922
#
#C3 H2 O 54.01056 amu -- A
loss:CleavableCrossLinkerPeptide:MASS:54.0105647;NAME:A
#C3 H4 O2 S 103.9432 amu -- S
loss:CleavableCrossLinkerPeptide:MASS:103.9932001;NAME:S
#C3 H2 S O 85.982635 amu -- T
loss:CleavableCrossLinkerPeptide:MASS:85.9826354;NAME:T


#####################
## Generally lossy fragmenst will have a smaller impact on subscores then non-lossy versions of a fragment.
## But some subscores (anything called conservative) considere a fragment observed even if n neutral losses for that fragment where observed but not the fragment itself 
## this defines how many loses are needed to make a fragment count as observed
## was actually hardcoded to 3 before
ConservativeLosses:3


####################
## isotop annotation
IsotopPattern:Averagin


####################
# if this is et to tru also fragment matches are reported that are of by 1 dalton
# default: true
MATCH_MISSING_MONOISOTOPIC:true


####################
## how many peaks to consider for mgc-search
## web default:10
mgcpeaks:10

###################
### Candidate selection
## Scoreing happens in three stages
## alpha candidates are selected and scored
## top n aplpha candidates are taken and all matching beta-candidates will be selected and prescored
## the top X of these are then fully matched and scored
## how many "alpha" peptide candidiates will be considered for finding beta candidates
## default:10
topmgchits:10
## how many combinations of alpha and beta peptides will be considered for final scoreing
## web default: 10
topmgxhits:10

##################
## how many misscleavages are considered
missedcleavages:2

####################
## define a minimum peptide length (default 2)
#MINIMUM_PEPTIDE_LENGTH:6


#####################
## IO-settings - for improving the parallel processing it's bettwer to do some buffering 
## this reduces the time thread potentially have to wait for spectra to be searched (BufferInput)
## or to be written out (BufferOutput).
BufferInput:100
BufferOutput:100




#####################
## -- statistics
#statistic:/home/lfischer/Projects/Xlink/test/statistic/IntensityStatistic.csv


#####################
## Only write out the top match per spectrum
## defaults: false
TOPMATCHESONLY:true

#####################
## maximum mass of a peptide to be considered for fragmentation
## Default: 1.7976931348623157e+308
## the value will be lowered to the maximum found precoursor mass in the peak-list
#MAXPEPTIDEMASS:5000

#####################
## some limits for generating modified peptides
## default: 3 and 20
MAX_MODIFICATION_PER_PEPTIDE:2
MAX_MODIFIED_PEPTIDES_PER_PEPTIDE:20

####################
##If the top-match for a spectra has a score lower than this, the spectra and all of its matches are not reported
#MINIMUM_TOP_SCORE:-10





##########################################
## Alternative uses of Xi
## open modification
#XICLASS:SimpleXiProcessOpenModificationXlink
## Targeted Modification: unspecific modification site of selected masses
#XICLASS:SimpleXiProcessTargetModificationXlink


#########################################
## Open Modification Search Parameters
##
#########################################
#XICLASS:SimpleXiProcessOpenModificationXlink
## Minimum mass of a possible modification
#OM_MIN_MASS:-2
## Maximum mass of a possible modification
#OM_MAX_MASS:1500
## Only output, if the top-match is has a modification?
#OM_MODIFIED_ONLY:true

##########################################
## Targeted Modification: unspecific modification of selected masses
##########################################
#XICLASS:SimpleXiProcessTargetModificationXlink
## Masses to look for
#TM_MASSES:112.0000;324.0000

# leave in for comparison to missing monoiso later
XICLASS:SimpleXiProcessMultipleCandidates
FRAGMENTTREE:FU
missing_isotope_peaks:2



